Bug 321441 - Quake3 always crashed my X (Mesa bug maybe?)
Quake3 always crashed my X (Mesa bug maybe?)
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-06 13:10 EDT by Peter Lemenkov
Modified: 2008-06-18 16:37 EDT (History)
4 users (show)

See Also:
Fixed In Version: 7.1-0.31
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-18 16:37:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
X.org log with crash in Mesa (51.97 KB, text/plain)
2007-10-06 16:14 EDT, Peter Lemenkov
no flags Details

  None (edit)
Description Peter Lemenkov 2007-10-06 13:10:39 EDT
Description of problem:
Everytime I start quake my X-server reboots.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start quake3.
2. X crashes.
Actual results:
X restarts.

Expected results:
Fancy looking FPS game.
Comment 1 Hans de Goede 2007-10-06 15:58:45 EDT
If its not just the game crashing (perhaps causing troubles such as a missing
mouse pointer and screwed up resolution). But really X crashing and gdm
restarting ti and greeting you with the login screen then it indeed is an X bug,
changing component to mesa.
Comment 2 Peter Lemenkov 2007-10-06 16:14:20 EDT
Created attachment 218511 [details]
X.org log with crash in Mesa
Comment 3 Hans de Goede 2007-12-28 17:20:49 EST
Question: what kind of graphics card are you using?
Comment 4 Matěj Cepl 2008-01-23 18:29:33 EST
sorry, Kristian :-(
Comment 5 Bug Zapper 2008-05-14 10:38:17 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 22:35:25 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Peter Lemenkov 2008-06-17 03:26:05 EDT
I'll try to reproduce it with latest Mesa and X on my F9 and report whether this
issue is resolved or not.
Comment 8 Peter Lemenkov 2008-06-18 16:37:12 EDT
Bug has gone.


Seems that this issue was resolved. Thanks!

Note You need to log in before you can comment on or make changes to this bug.